Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.validators.common
Class CMNode

    java.lang.Object
      |
      +--org.apache.xerces.validators.common.CMNode

Direct Known Subclasses:
  CMAny, CMBinOp, CMLeaf, CMUniOp

public abstract class CMNode
extends java.lang.Object

Version:

Method Summary
`protected abstract void` | `calcFirstPos(org.apache.xerces.validators.common.CMStateSet toSet)`
`protected abstract void` | `calcLastPos(org.apache.xerces.validators.common.CMStateSet toSet)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### calcFirstPos

    protected abstract void calcFirstPos(org.apache.xerces.validators.common.CMStateSet toSet)
                                  throws CMException

### calcLastPos

    protected abstract void calcLastPos(org.apache.xerces.validators.common.CMStateSet toSet)
                                 throws CMException

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2001 Apache XML Project. All Rights Reserved.